Page MenuHomePhabricator

[Task] Unserializers should optionally allow derived data objects
Closed, InvalidPublic

Description

Unserializing derived data objects, such as FallbackTerm or ExtendedPropertyValueSnak, should be supported as an option in the unserializers. Even though we do not want to allow this kind of data as input to the API, client code will want to unserialize such objects from the API response.

Event Timeline

daniel created this task.Jun 17 2015, 12:45 PM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)
daniel added a project: Wikidata.
Lydia_Pintscher renamed this task from Unserializers should optionally allow derived data objects to [Task] Unserializers should optionally allow derived data objects.Sep 10 2015, 10:36 AM
Lydia_Pintscher set Security to None.
Bene added a subscriber: Bene.Sep 17 2015, 2:58 PM
Addshore closed this task as Invalid.Jan 23 2019, 12:23 PM
Addshore added a subscriber: Addshore.

Task break down is no longer valid, and we have closed the epic T112548